Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.arbaro.params
Class ShapeParam

    java.lang.Object
      net.sourceforge.arbaro.params.AbstractParam
          net.sourceforge.arbaro.params.IntParam
              net.sourceforge.arbaro.params.ShapeParam

    public final class ShapeParam

extends IntParam

Author:
  wdiestel

Field Summary

Fields inherited from class net.sourceforge.arbaro.params.AbstractParam
`changeEvent, GENERAL, listenerList, loading`

Constructor Summary
`ShapeParam(java.lang.String nam, int mn, int mx, int def, java.lang.String grp, int lev, int ord, java.lang.String sh, java.lang.String lng)`

Method Summary
`java.lang.String` | `toString()`
`static java.lang.String[]` | `values()`

Methods inherited from class net.sourceforge.arbaro.params.IntParam
`clear, empty, getDefaultValue, getLongDesc, getValue, intValue, setValue`

Methods inherited from class net.sourceforge.arbaro.params.AbstractParam
`addChangeListener, fireStateChanged, getEnabled, getGroup, getLevel, getName, getOrder, getShortDesc, removeChangeListener, setEnabled, warn`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShapeParam

    public ShapeParam(java.lang.String nam,
                      int mn,
                      int mx,
                      int def,
                      java.lang.String grp,
                      int lev,
                      int ord,
                      java.lang.String sh,
                      java.lang.String lng)

Parameters:
  `nam` -
  `mn` -
  `mx` -
  `def` -
  `grp` -
  `lev` -
  `sh` -
  `lng` -

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractParam`

### values

    public static java.lang.String[] values()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD